Subject: Re: [PANIC] lro + iscsi or lro + skb text search causes panic

From: Mike Christie <[email-masked]>
Date: Thu, 22 Jan 2009 22:29:35 -0600

Mike Christie wrote:
> Mike Christie wrote:
>> Brandeburg, Jesse wrote:
>>>
>>> skb_copy_bits is an example of the code flow that does work.
>>>
>>> skb_seq_read appears to only be used by iSCSI and the skb text match 
>>> support in tc/netfilter (aka skb_find_text)
>>>
>>
>> There is no reason iscsi needs to use skb_seq_read. It used to use 
>> skb_copy_bits. I can convert iscsi to use skb_copy_bits again.
>>
> 
> Attached is a patch made against the scsi maintainer's tree (I think it 
> should also apply to linus's) that converts iscsi to use skb_copy_bits. 
> It is lightly tested. If there is no benefit in having skb_find_text use 
> skb_seq_read maybe we can just kill it, so people do not have to 
> maintain two helpers that provide similar functionality.
> 

There is a bug in this patch, but it just makes it a little less 
efficient. It should not screw up testing to verify that the oops is fixed.